#ifndef _H_BACKGROUND_H
#define _H_BACKGROUND_H

#include "graphics/quad.h"
#include "graphics/drawable.h"
#include "graphics/texture.h"

#include "utility/logger.h"

class Background : public Drawable
{
public:
	Background(const std::string& fileName);

	void draw() override;

	~Background();
	
private:
	ScreenQuad *quad;
	Texture *texture;
};

#endif // _H_BACKGROUND_H
